import { Component, OnInit } from '@angular/core';
import { ApplicationInfoService, DeploymentInfo } from 'app/core/application/applicationInfo.service';

@Component({
  selector: 'jhi-footer',
  templateUrl: './footer.component.html',
})
export class FooterComponent implements OnInit {
  deploymentInfo?: DeploymentInfo;

  constructor(public applicationInfoService: ApplicationInfoService) {}
  ngOnInit(): void {
    this.deploymentInfo = this.applicationInfoService.getDeploymentInfo();
  }
}
